Package org.apache.sling.pipes.internal.slingquery

## Class SiblingsPipe

- java.lang.Object
- - org.apache.sling.pipes.BasePipe
  - - org.apache.sling.pipes.internal.slingquery.AbstractSlingQueryPipe
    - - org.apache.sling.pipes.internal.slingquery.AbstractExpressionSlingQueryPipe
      - - org.apache.sling.pipes.internal.slingquery.SiblingsPipe

All Implemented Interfaces:
  `Pipe`

    public class SiblingsPipe
    extends AbstractExpressionSlingQueryPipe

### Field Summary

Fields
`static String` `RESOURCE_TYPE`

### Fields inherited from class org.apache.sling.pipes.BasePipe

`afterHook, beforeHook, bindingProviders, bindings, distributionAgent, DRYRUN_EXPR, DRYRUN_KEY, EMPTY_ITERATOR, IGNORED_NODES, IGNORED_PROPERTIES, parent, plumber, PN_AFTERHOOK, PN_BEFOREHOOK, PN_STATUS, PN_STATUS_MODIFIED, properties, READ_ONLY, resolver, resource, RT_PREFIX, SLASH, STATUS_FINISHED, STATUS_STARTED`

### Fields inherited from interface org.apache.sling.pipes.Pipe

`NN_CONF, PN_DISTRIBUTION_AGENT, PN_EXPR, PN_NAME, PN_PATH`

### Constructor Summary

Constructors
`SiblingsPipe​(Plumber plumber, org.apache.sling.api.resource.Resource resource, PipeBindings upperBindings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.sling.query.SlingQuery` `getQuery​(org.apache.sling.api.resource.Resource resource, String expression)` generates a sling query object out of a resource and an expression

### Methods inherited from class org.apache.sling.pipes.internal.slingquery.AbstractExpressionSlingQueryPipe

`getQuery`

### Methods inherited from class org.apache.sling.pipes.internal.slingquery.AbstractSlingQueryPipe

`computeOutput, modifiesContent`

### Methods inherited from class org.apache.sling.pipes.BasePipe

`after, before, getBindings, getComputedPath, getConfiguration, getDistributionAgent, getExpr, getInput, getName, getOutput, getOutputBinding, getParent, getPath, getPreviousPipe, getPreviousResource, getRawExpression, getRawPath, getResource, isDryRun, isRootPath, provideAdditionalBindings, setParent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### SiblingsPipe

    public SiblingsPipe​(Plumber plumber,
                        org.apache.sling.api.resource.Resource resource,
                        PipeBindings upperBindings)

### Method Detail

#### getQuery

    protected org.apache.sling.query.SlingQuery getQuery​(org.apache.sling.api.resource.Resource resource,
                                                         String expression)

Description copied from class: `AbstractExpressionSlingQueryPipe`
generates a sling query object out of a resource and an expression

Specified by:
  `getQuery` in class `AbstractExpressionSlingQueryPipe`
Parameters:
  `resource` - input resource
  `expression` - pipe's expression configuration
Returns:
  SlingQuery object